package io.visus.orbis

import android.os.Bundle
import androidx.activity.ComponentActivity
import androidx.activity.compose.setContent
import androidx.activity.enableEdgeToEdge
import io.visus.orbis.core.ui.OrbisTheme
import io.visus.orbis.feature.orb.ui.OrbScreen
import io.visus.orbis.feature.orb.ui.OrbViewModel
import org.koin.androidx.viewmodel.ext.android.viewModel

class MainActivity : ComponentActivity() {
    private val orbViewModel: OrbViewModel by viewModel()

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)

        enableEdgeToEdge()
        setContent {
            OrbisTheme {
                OrbScreen(viewModel = orbViewModel)
            }
        }
    }
}